org.springframework.web.method.annotation

## Class AbstractNamedValueMethodArgumentResolver.NamedValueInfo

- java.lang.Object
- - org.springframework.web.method.annotation.AbstractNamedValueMethodArgumentResolver.NamedValueInfo

- Enclosing class:
    AbstractNamedValueMethodArgumentResolver

      protected static class AbstractNamedValueMethodArgumentResolver.NamedValueInfo
      extends Object

  Represents the information about a named value, including name, whether it's required and a default value.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractNamedValueMethodArgumentResolver.NamedValueInfo(String name, boolean required, String defaultValue)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractNamedValueMethodArgumentResolver.NamedValueInfo

          protected AbstractNamedValueMethodArgumentResolver.NamedValueInfo(String name,
                                                                 boolean required,
                                                                 String defaultValue)